// pages/auth.js

import WxAuthor from '../../utils/WxAuthor'


let app = getApp();

Page({
  /**
   * 页面的初始数据
   */
  data: {
    mWxAuthor: null,
    userInfo: {}
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    console.log('onLoad options:', options)
    var timeStamp = new Date().getTime();
    timeStamp = Math.floor(timeStamp);
    
    if (timeStamp > app.globalData.userId.timeStamp + 300) {
      if(!app.globalData.userInfo) {
        this.mWxAuthor = new WxAuthor(app, true);
      } else {
        this.mWxAuthor = new WxAuthor(app, false);
      }
    } 
  },

  getAuth(e) {
    let { userInfo } = e.detail
    if (userInfo) {
      this.setData({
        userInfo
      })
      
      wx.navigateBack()

      // wx.reLaunch({
      //   url: '/pages/index/index'
      // });
    }
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function (options) {
    console.log('auth onShow:',options)
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  }
})